Subject: gcc GPF on control-C
From: [email-masked] (Chin Chee-Kai)

15 Jan 1997 18:11:03 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
X-Authentication-Warning: gensstc.gen.co.jp: smap set sender to <[email-masked]> using -f
Original-To: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

I downloaded the recent version of b17 and am delighted at the
much improved installation and use.  

On running gcc, however, a control-C that interrupted gcc causes
a Win95 Fault message:
	"GCC caused an invalid page fault in
	 module CYGWIN.DLL at 0137:100245eb.
	 Registers:
	 EAX=04720004 CS=0137 EIP=100245eb EFLGS=00010216
	 EBX=00000000 SS=013f ESP=0456ff24 EBP=0456ff28
	 ECX=00000000 DS=013f ESI=00000000 FS=1c9f
	 EDX=8298b404 ES=013f EDI=00000000 GS=0000
	"
While this may be minor in that I don't lose source files or
anything when I deliberately halt gcc by pressing Control-C,
does this perhaps indicate that somewhere in the interaction
between gcc, COMMAND.COM (and bash;  in both shells, the error
occured), Win95 & CYGWIN.DLL ?

Chin Chee-Kai (Last, First)
Internet Email-ID:	[email-masked]
Gen Tech Corporation

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".